import pygame
import data

class Sound:
    
    def __init__(self):
        self.crash_sound = None
        self.clap_sound = None
        try:
            self.crash_sound = pygame.mixer.Sound(data.filepath('crash02.ogg'))
            self.clap_sound = pygame.mixer.Sound(data.filepath('applause01.ogg'))
        except:
            pass

    def menumusic(self):
        try:
            pygame.mixer.music.stop()
            pygame.mixer.music.load(data.filepath('wibblym.mp3'))
            pygame.mixer.music.play(-1)
        except:
            pass

    def crash(self):
        try:
            self.crash_sound.play()
        except:
            pass
        
    def applause(self):
        try:
            self.clap_sound.play()
        except:
            pass
        